Create Product
curl --request POST \
--url https://api.withflex.com/v1/products \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"product": {
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"upc_code": "example_value",
"gtin": "example_value",
"reference_gtin": "example_value",
"url": "https://example.com",
"client_reference_id": "example_value",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"image_urls": [
"https://example.com/image.png"
]
}
}
'import requests
url = "https://api.withflex.com/v1/products"
payload = { "product": {
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"upc_code": "example_value",
"gtin": "example_value",
"reference_gtin": "example_value",
"url": "https://example.com",
"client_reference_id": "example_value",
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"image_urls": ["https://example.com/image.png"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
product: {
name: 'Example',
description: 'Premium SPF 50 mineral sunscreen',
upc_code: 'example_value',
gtin: 'example_value',
reference_gtin: 'example_value',
url: 'https://example.com',
client_reference_id: 'example_value',
metadata: {order_id: '8842', channel: 'shopify'},
image_urls: ['https://example.com/image.png']
}
})
};
fetch('https://api.withflex.com/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"product": {
"product_id": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"created_at": "2026-06-15T14:30:00Z",
"visit_type": "cbtSleep",
"active": false,
"hsa_fsa_eligibility": "not_eligible",
"test_mode": false,
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"url": "https://example.com",
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Create Product
Creates a new product. Flex automatically determines the product’s HSA/FSA eligibility from the supplied name, description, identifiers, and URL; if it can’t be resolved synchronously, the product is created with eligibility pending and classification continues in the background, after which a product.updated event may fire. A product.created event is sent to your configured webhook endpoints on success.
POST
/
v1
/
products
Create Product
Authorizations
Use a Bearer token to access this API.
Body
application/json
An envelope wrapping a single product object.
An envelope wrapping a single product object.
The product object.
Show child attributes
Show child attributes
Example:
{
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"upc_code": "example_value",
"gtin": "example_value",
"reference_gtin": "example_value",
"url": "https://example.com",
"client_reference_id": "example_value",
"metadata": { "order_id": "8842", "channel": "shopify" },
"image_urls": ["https://example.com/image.png"]
}
Response
An envelope wrapping a single product object.
An envelope wrapping a single product object.
The product object.
Show child attributes
Show child attributes
Example:
{
"product_id": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"name": "Example",
"description": "Premium SPF 50 mineral sunscreen",
"created_at": "2026-06-15T14:30:00Z",
"visit_type": "cbtSleep",
"active": false,
"hsa_fsa_eligibility": "not_eligible",
"test_mode": false,
"metadata": { "order_id": "8842", "channel": "shopify" },
"url": "https://example.com",
"client_reference_id": "obj_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
}
⌘I